Webhook Param

A custom key and value pair appended to an outgoing webhook request, often filled with token data.

GET /webhook_params

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/webhook_params

List Webhook Param records.

List the custom parameters configured on your outgoing webhook URLs.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • name
  • company_id
  • user_id
  • key
  • value
  • sortable_order
  • outgoing_webhook_url_id
  • buyer_conversion_id
  • call_control_action_id
  • inbound_webhook_id
  • zoho_crm_command_id
  • record_token_filter_id
  • record_token_filter_data_count
  • record_token_filter_data
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /webhook_params/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/webhook_params/new

Build Webhook Param with defaults.

Return a blank webhook parameter populated with default attribute values, useful for building a create form.

Params

Param name Description
outgoing_webhook_url_id
Optional Blank value allowed

Outgoing Webhook Url

key
Optional Blank value allowed

Key

  • Must be a String

value
Optional Blank value allowed

Value

  • Must be a String

buyer_conversion_id
Optional Blank value allowed

The Buyer Conversion webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

call_control_action_id
Optional Blank value allowed

The Call Control Action webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

inbound_webhook_id
Optional Blank value allowed

The Inbound Webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

zoho_crm_command_id
Optional Blank value allowed

The Zoho Action this param belongs to, if it is not attached to an Outgoing Webhook URL.

token_value_ids
Optional Blank value allowed

The Tokens whose data replaces this Webhook Param’s value tokens when the webhook fires.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

POST /webhook_params

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/webhook_params

Create Webhook Param.

Add a custom key/value parameter that will be sent with a specific outgoing webhook URL when it fires. The value can reference token values, which are resolved before the parameter is saved.

Params

Param name Description
outgoing_webhook_url_id
Optional Blank value allowed

Outgoing Webhook Url

key
Optional Blank value allowed

Key

  • Must be a String

value
Optional Blank value allowed

Value

  • Must be a String

buyer_conversion_id
Optional Blank value allowed

The Buyer Conversion webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

call_control_action_id
Optional Blank value allowed

The Call Control Action webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

inbound_webhook_id
Optional Blank value allowed

The Inbound Webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

zoho_crm_command_id
Optional Blank value allowed

The Zoho Action this param belongs to, if it is not attached to an Outgoing Webhook URL.

token_value_ids
Optional Blank value allowed

The Tokens whose data replaces this Webhook Param’s value tokens when the webhook fires.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

GET /webhook_params/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/webhook_params/:id

Get Webhook Param by id.

Get the details of a single webhook parameter by id.

PUT /webhook_params/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/webhook_params/:id

Update Webhook Param by id.

Update the key, value, or owning webhook URL of an existing webhook parameter.

Params

Param name Description
outgoing_webhook_url_id
Optional Blank value allowed

Outgoing Webhook Url

key
Optional Blank value allowed

Key

  • Must be a String

value
Optional Blank value allowed

Value

  • Must be a String

buyer_conversion_id
Optional Blank value allowed

The Buyer Conversion webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

call_control_action_id
Optional Blank value allowed

The Call Control Action webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

inbound_webhook_id
Optional Blank value allowed

The Inbound Webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

zoho_crm_command_id
Optional Blank value allowed

The Zoho Action this param belongs to, if it is not attached to an Outgoing Webhook URL.

token_value_ids
Optional Blank value allowed

The Tokens whose data replaces this Webhook Param’s value tokens when the webhook fires.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

DELETE /webhook_params/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/webhook_params/:id

Destroy Webhook Param by id.

Permanently remove a webhook parameter so it is no longer sent with its webhook.